import { Observable, Subject } from 'rxjs';
import { AdapterInterface,  GeneralEvent,  MessageTransmissionInterface } from '../interface/interface'

export class MessageTransmissionBase implements MessageTransmissionInterface {
    protected clientId!: string;
    protected adapters: AdapterInterface[] = []
    protected event!: Subject<GeneralEvent<any>>

    constructor() {
        // logic here
    }

    protected handleAdapters(event: Observable<GeneralEvent<any>>): void {
        throw new Error(`Method not implemented...`)
    }

}

